Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderPoolImpl

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.OrderPoolImpl

public class OrderPoolImpl
extends java.lang.Object
implements OrderPool

Represents a collection of PoolObject(s). The ItemPoolImpl interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Field Summary
`static java.lang.String` | `cName`
`static int` | `LONG`
`static int` | `SHORT`

Constructor Summary
`OrderPoolImpl()`
`OrderPoolImpl(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`

Method Summary
`void` | `adjust(java.util.List poolObjects, AdjustmentDetail aDetail)` Adjust the price of a `List` of `PoolObject` as specified in the `AdjustmentDetail`.
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)` Adjust the price of a `PoolObject` as specified in the `AdjustmentDetail`.
`OrderQuery` | `getByPrice(OrderQuery aQuery)` Perform the query as specified by the query object passed in and return the query object with the results added.
`java.lang.String` | `getCurrency()`
`int` | `getCurrentSize()`
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, java.lang.String computation, java.lang.String reason, java.lang.Object discountID)`
`Quote` | `getQuote()`
`void` | `remove(java.util.Iterator poolObjects)`
`void` | `remove(PoolObject anObject)`
`void` | `set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

### SHORT

    public static final int SHORT

### LONG

    public static final int LONG

Constructor Detail

### OrderPoolImpl

    public OrderPoolImpl()

### OrderPoolImpl

    public OrderPoolImpl(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                         Quote quote)

Method Detail

### set

    public void set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)

  Specified by:
    set in interface OrderPool

### getCurrentSize

    public int getCurrentSize()

  Specified by:
    getCurrentSize in interface OrderPool

### getQuote

    public Quote getQuote()

  Specified by:
    getQuote in interface OrderPool

### getCurrency

    public java.lang.String getCurrency()

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      java.lang.String computation,
                                      java.lang.String reason,
                                      java.lang.Object discountID)

### getByPrice

    public OrderQuery getByPrice(OrderQuery aQuery)

  Perform the query as specified by the query object passed in and return the query object with the results added. If the query is satisfied the list of reply sets must have a 1 to 1 correspondence between each query spec for the qualifier or target.
  Specified by:
    getByPrice in interface OrderPool

### adjust

    public void adjust(PoolObject object,
                       AdjustmentDetail aDetail)

  Adjust the price of a `PoolObject` as specified in the `AdjustmentDetail`.

  Parameters:
    `object` - the `PoolObject` to adjust the price of.
    `aDetail` - the `AdjustmentDetail` to apply to the object.

### adjust

    public void adjust(java.util.List poolObjects,
                       AdjustmentDetail aDetail)

  Adjust the price of a `List` of `PoolObject` as specified in the `AdjustmentDetail`.

  Parameters:
    `poolObject` - a `List` of `PoolObject`s to adjust.
    `aDetail` - the `AdjustmentDetail` to apply to the objects.

### remove

    public void remove(PoolObject anObject)

  Parameters:
    `OrderObject` - the object to be removed from the collection.
  Returns:
    void
  Throws:
    -
  See Also:
    `OrderObject`

### remove

    public void remove(java.util.Iterator poolObjects)

  Parameters:
    `List` - a set of PoolObjects to be removed from the collection.
  Returns:
    void
  Throws:
    -
  See Also:
    `PoolObject`

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toString

    public java.lang.String toString(int type)

  Specified by:
    toString in interface OrderPool

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved